<?php
    /**
	 *  Obowiązkowy interfejs dla wszystkich kontrolerów
	 *
	 */
interface ControllerInterface {
    /**
	 *  metoda wywolywana przed metoda
	 *
	 */
	public function PreDispatch($param);

	/**
	 * metoda wywolywana po metodzie
	 *
	 */
	public function PostDispatch($param);

    /**
	 *  metoda glowna
	 *
	 */
	public function IndexAction($param);
}

?>